Bug 156519 - [MAINTAINER] net-mgmt/zabbix-server: update to 1.8.5
Summary: [MAINTAINER] net-mgmt/zabbix-server: update to 1.8.5
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Florian Smeets
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-04-20 16:30 UTC by Jim Riggs
Modified: 2011-05-30 17:30 UTC (History)
0 users

See Also:


Attachments
zabbix-server-1.8.5,2.patch (6.18 KB, patch)
2011-04-20 16:30 UTC, Jim Riggs
no flags Details | Diff
patch-src_libs_zbxcomms_comms.c (1.01 KB, application/octet-stream)
2011-04-22 15:53 UTC, Jim Riggs
no flags Details
zabbix.data.sql.patch.txt (573 bytes, text/plain; charset=US-ASCII)
2011-05-30 16:50 UTC, Alexander Verbod
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jim Riggs 2011-04-20 16:30:10 UTC
- Update to 1.8.5
- Add EXECINFO option
- Supersedes ports/153688

Generated with FreeBSD Port Tools 0.77
Comment 1 Jim Riggs 2011-04-20 16:37:34 UTC
>Submitter-Id:	current-users
>Originator:	Jim Riggs
>Organization:	
>Confidential:	no 
>Synopsis:	Re: ports/156519: [MAINTAINER] net-mgmt/zabbix-server: update to 1.8.5
>Severity:	non-critical
>Priority:	low
>Category:	ports 
>Class:		maintainer-update
>Release:	FreeBSD 6.3-RELEASE-p2 amd64
>Environment:
System: FreeBSD zion.christianserving.org 6.3-RELEASE-p2 FreeBSD 6.3-RELEASE-p2 #3: Mon May  5 21:27:22 CDT
>Description:
Default configure option changed upstream.

Generated with FreeBSD Port Tools 0.77
>How-To-Repeat:
>Fix:

--- zabbix-server-1.8.5,2.patch begins here ---
diff -ruN --exclude=CVS /usr/ports/net-mgmt/zabbix-server/Makefile /root/portwork/zabbix-server/Makefile
--- /usr/ports/net-mgmt/zabbix-server/Makefile	2011-03-19 08:15:28.000000000 -0500
+++ /root/portwork/zabbix-server/Makefile	2011-04-20 10:20:01.000000000 -0500
@@ -6,8 +6,7 @@
 #
 
 PORTNAME=	zabbix
-PORTVERSION=	1.8.3
-PORTREVISION=	2
+PORTVERSION=	1.8.5
 PORTEPOCH=	2
 CATEGORIES=	net-mgmt
 MASTER_SITES=	SF/zabbix/ZABBIX%20Latest%20Stable/${PORTVERSION}
@@ -16,6 +15,8 @@
 MAINTAINER=	ports@christianserving.org
 COMMENT=	Enterprise-class open source distributed monitoring (${PKGNAMESUFFIX:S/^-//})
 
+LICENSE=	GPLv2
+
 CONFLICTS=	${PKGBASE}-1.[0-6]*
 
 .if ${PKGNAMESUFFIX} != "-agent"
@@ -27,12 +28,12 @@
 .if ${ZABBIX_BUILD} != "frontend" # frontend only needs the version/distribution settings
 .if ${ZABBIX_BUILD} != "agent"
 USE_ICONV=	yes
-MAN8=		${PORTNAME}_${ZABBIX_BUILD}.8
+MAN8+=		${PORTNAME}_${ZABBIX_BUILD}.8
 USE_RC_SUBR=	${PORTNAME}_${ZABBIX_BUILD}
 .else
 USE_ICONV=	yes
-MAN1=		${PORTNAME}_get.1 ${PORTNAME}_sender.1
-MAN8=		${PORTNAME}_${ZABBIX_BUILD}d.8
+MAN1+=		${PORTNAME}_get.1 ${PORTNAME}_sender.1
+MAN8+=		${PORTNAME}_${ZABBIX_BUILD}d.8
 USE_RC_SUBR=	${PORTNAME}_${ZABBIX_BUILD}d
 .endif
 
@@ -48,8 +49,7 @@
 CONFIGURE_ENV+=	CPPFLAGS="-I${LOCALBASE}/include"
 
 .if ${ZABBIX_BUILD} != "agent"
-LIB_DEPENDS=	netsnmp:${PORTSDIR}/net-mgmt/net-snmp \
-		curl:${PORTSDIR}/ftp/curl
+LIB_DEPENDS=	netsnmp:${PORTSDIR}/net-mgmt/net-snmp
 
 SUB_FILES=	pkg-message
 
@@ -67,7 +67,8 @@
 		IPMI "Support for IPMI" off \
 		SSH "Support for SSH-based checks" off \
 		IODBC "Support for iODBC" off \
-		UNIXODBC "Support for unixODBC" off
+		UNIXODBC "Support for unixODBC" off \
+		EXECINFO "Use execinfo for debugging traces" off
 
 .include <bsd.port.options.mk>
 
@@ -87,8 +88,9 @@
 IGNORE=		zabbix requires a database backend
 .endif
 
-.ifdef WITHOUT_CURL
-CONFIGURE_ARGS+=	--without-libcurl
+.ifdef WITH_CURL
+LIB_DEPENDS+=	curl:${PORTSDIR}/ftp/curl
+CONFIGURE_ARGS+=	--with-libcurl
 .endif
 
 .ifndef WITHOUT_LDAP
@@ -128,6 +130,11 @@
 LIB_DEPENDS+=	odbc:${PORTSDIR}/databases/unixODBC
 CONFIGURE_ARGS+=	--with-unixodbc
 .endif
+
+.ifdef WITH_EXECINFO
+LIB_DEPENDS+=	execinfo:${PORTSDIR}/devel/libexecinfo
+CONFIGURE_ENV+=	LDFLAGS="-L${LOCALBASE}/lib"
+.endif
 .endif # if ${ZABBIX_BUILD} != "agent"
 
 .ifdef WITH_IPV6
diff -ruN --exclude=CVS /usr/ports/net-mgmt/zabbix-server/distinfo /root/portwork/zabbix-server/distinfo
--- /usr/ports/net-mgmt/zabbix-server/distinfo	2011-03-20 07:54:14.000000000 -0500
+++ /root/portwork/zabbix-server/distinfo	2011-04-20 10:04:17.000000000 -0500
@@ -1,2 +1,2 @@
-SHA256 (zabbix-1.8.3.tar.gz) = 37262d751c9661a361380bf1480d277d81621d8a49c60a81667cbe258021065c
-SIZE (zabbix-1.8.3.tar.gz) = 4106152
+SHA256 (zabbix-1.8.5.tar.gz) = 885b9f1953c3f6aa1f13760340b3d23d6e01287dc46e6e241c964aec7a38ef32
+SIZE (zabbix-1.8.5.tar.gz) = 4184672
diff -ruN --exclude=CVS /usr/ports/net-mgmt/zabbix-server/pkg-plist /root/portwork/zabbix-server/pkg-plist
--- /usr/ports/net-mgmt/zabbix-server/pkg-plist	2010-08-23 15:15:43.000000000 -0500
+++ /root/portwork/zabbix-server/pkg-plist	2011-04-20 10:04:17.000000000 -0500
@@ -22,10 +22,12 @@
 %%DATADIR%%/%%ZABBIX_BUILD%%/create/data/images/UPS_small.png
 %%DATADIR%%/%%ZABBIX_BUILD%%/create/data/images/Workstation.png
 %%DATADIR%%/%%ZABBIX_BUILD%%/create/data/images/Workstation_small.png
+%%DATADIR%%/%%ZABBIX_BUILD%%/create/data/images_ibm_db2.sql
 %%DATADIR%%/%%ZABBIX_BUILD%%/create/data/images_mysql.sql
 %%DATADIR%%/%%ZABBIX_BUILD%%/create/data/images_oracle.sql
 %%DATADIR%%/%%ZABBIX_BUILD%%/create/data/images_pgsql.sql
 %%DATADIR%%/%%ZABBIX_BUILD%%/create/data/images_sqlite3.sql
+%%DATADIR%%/%%ZABBIX_BUILD%%/create/schema/ibm_db2.sql
 %%DATADIR%%/%%ZABBIX_BUILD%%/create/schema/mysql.sql
 %%DATADIR%%/%%ZABBIX_BUILD%%/create/schema/oracle.sql
 %%DATADIR%%/%%ZABBIX_BUILD%%/create/schema/postgresql.sql
diff -ruN --exclude=CVS /usr/ports/net-mgmt/zabbix-server/pkg-plist.frontend /root/portwork/zabbix-server/pkg-plist.frontend
--- /usr/ports/net-mgmt/zabbix-server/pkg-plist.frontend	2010-08-23 15:15:43.000000000 -0500
+++ /root/portwork/zabbix-server/pkg-plist.frontend	2011-04-20 10:04:17.000000000 -0500
@@ -27,6 +27,7 @@
 %%WWWDIR%%/api/classes/class.cscript.php
 %%WWWDIR%%/api/classes/class.ctemplate.php
 %%WWWDIR%%/api/classes/class.ctrigger.php
+%%WWWDIR%%/api/classes/class.ctriggerexpression.php
 %%WWWDIR%%/api/classes/class.cuser.php
 %%WWWDIR%%/api/classes/class.cusergroup.php
 %%WWWDIR%%/api/classes/class.cusermacro.php
@@ -232,6 +233,7 @@
 %%WWWDIR%%/include/classes/class.ccolorcell.php
 %%WWWDIR%%/include/classes/class.ccombobox.php
 %%WWWDIR%%/include/classes/class.ccomboitem.php
+%%WWWDIR%%/include/classes/class.cconfigfile.php
 %%WWWDIR%%/include/classes/class.cdiv.php
 %%WWWDIR%%/include/classes/class.ceditablecombobox.php
 %%WWWDIR%%/include/classes/class.cfile.php
@@ -249,9 +251,9 @@
 %%WWWDIR%%/include/classes/class.ciframe.php
 %%WWWDIR%%/include/classes/class.cimagetexttable.php
 %%WWWDIR%%/include/classes/class.cimg.php
-%%WWWDIR%%/include/classes/class.cipbox.php
 %%WWWDIR%%/include/classes/class.cjson.php
 %%WWWDIR%%/include/classes/class.cjsscript.php
+%%WWWDIR%%/include/classes/class.clabel.php
 %%WWWDIR%%/include/classes/class.cldap.php
 %%WWWDIR%%/include/classes/class.clink.php
 %%WWWDIR%%/include/classes/class.clist.php
@@ -314,6 +316,7 @@
 %%WWWDIR%%/include/locales/pl_pl.inc.php
 %%WWWDIR%%/include/locales/pt_br.inc.php
 %%WWWDIR%%/include/locales/ru_ru.inc.php
+%%WWWDIR%%/include/locales/sk_sk.inc.php
 %%WWWDIR%%/include/locales/sp_sp.inc.php
 %%WWWDIR%%/include/locales/sv_se.inc.php
 %%WWWDIR%%/include/locales/ua_ua.inc.php
@@ -339,6 +342,7 @@
 %%WWWDIR%%/include/users.inc.php
 %%WWWDIR%%/include/validate.inc.php
 %%WWWDIR%%/include/valuemap.inc.php
+%%WWWDIR%%/include/xmlschemas/screens.rng
 %%WWWDIR%%/index.php
 %%WWWDIR%%/instal.php
 %%WWWDIR%%/items.php
@@ -422,6 +426,8 @@
 %%WWWDIR%%/styles/div.css
 %%WWWDIR%%/styles/form.css
 %%WWWDIR%%/styles/ie.css
+%%WWWDIR%%/styles/ie_css_bb.css
+%%WWWDIR%%/styles/ie_css_ob.css
 %%WWWDIR%%/styles/ie_css_od.css
 %%WWWDIR%%/styles/link.css
 %%WWWDIR%%/styles/p.css
@@ -444,6 +450,7 @@
 @dirrm %%WWWDIR%%/styles
 @dirrm %%WWWDIR%%/js/scriptaculous
 @dirrm %%WWWDIR%%/js
+@dirrm %%WWWDIR%%/include/xmlschemas
 @dirrm %%WWWDIR%%/include/locales
 @dirrm %%WWWDIR%%/include/classes
 @dirrm %%WWWDIR%%/include
--- zabbix-server-1.8.5,2.patch ends here ---
Comment 2 timp87 2011-04-22 12:42:59 UTC
If=C2=A0libexecinfo already have installed zabbix-server doesn't compile
with=C2=A0EXECINFO=3Doff.
But it compiles with=C2=A0EXECINFO=3Don.
Tried second patch from Jim.
Comment 3 Jim Riggs 2011-04-22 12:56:27 UTC
On Apr 22, 2011, at 6:42 AM, Pavel Timofeev wrote:

> If libexecinfo already have installed zabbix-server doesn't compile
> with EXECINFO=3Doff.
> But it compiles with EXECINFO=3Don.
> Tried second patch from Jim.


Does anyone have any thoughts on how to handle this?  I don't want to =
force libexecinfo as a dependency.  I guess I can make some changes to =
configure...=
Comment 4 timp87 2011-04-22 13:40:38 UTC
Maybe we need force disable libexecinfo as a dependency...
Need for libexecinfo is very questionable.
Comment 5 Jim Riggs 2011-04-22 13:44:35 UTC
Do you think so?  I was just going to go ahead and force it as a =
dependency (finally giving up).  I was about to submit the patch.  It =
does give a useful backtrace in the case of a fatal error, but other =
than that, it doesn't buy us anything.

Is there a supported/suggested way for a port to check if another port =
is already installed?  If so, I could dynamically add the dependency if =
the port is already installed and handle it as a normal option if it's =
not.
Comment 6 Florian Smeets freebsd_committer 2011-04-22 14:04:10 UTC
Responsible Changed
From-To: freebsd-ports-bugs->flo

Take
Comment 7 timp87 2011-04-22 14:09:25 UTC
Or you can force it as a dependency till the best of times. Until
zabbix devs or someone fix this problem.
I think it would be best solution.

2011/4/22 Jim Riggs <ports@christianserving.org>:
> Do you think so? =C2=A0I was just going to go ahead and force it as a dep=
endency (finally giving up). =C2=A0I was about to submit the patch. =C2=A0I=
t does give a useful backtrace in the case of a fatal error, but other than=
 that, it doesn't buy us anything.
>
> Is there a supported/suggested way for a port to check if another port is=
 already installed? =C2=A0If so, I could dynamically add the dependency if =
the port is already installed and handle it as a normal option if it's not.
>
>
Comment 8 Jim Riggs 2011-04-22 14:57:44 UTC
>Submitter-Id:	current-users
>Originator:	Jim Riggs
>Organization:	
>Confidential:	no 
>Synopsis:	Re: ports/156519: [MAINTAINER] net-mgmt/zabbix-server: update to 1.8.5
>Severity:	non-critical
>Priority:	low
>Category:	ports 
>Class:		maintainer-update
>Release:	FreeBSD 6.3-RELEASE-p2 amd64
>Environment:
System: FreeBSD zion.christianserving.org 6.3-RELEASE-p2 FreeBSD 6.3-RELEASE-p2 #3: Mon May  5 21:27:22 CDT
>Description:
This version just forces libexecinfo as a dependency.  I finally gave up.

Generated with FreeBSD Port Tools 0.77
>How-To-Repeat:
>Fix:

--- zabbix-server-1.8.5,2.patch begins here ---
diff -ruN --exclude=CVS /usr/ports/net-mgmt/zabbix-server/Makefile /root/portwork/zabbix-server/Makefile
--- /usr/ports/net-mgmt/zabbix-server/Makefile	2011-03-19 08:15:28.000000000 -0500
+++ /root/portwork/zabbix-server/Makefile	2011-04-22 08:54:13.000000000 -0500
@@ -6,8 +6,7 @@
 #
 
 PORTNAME=	zabbix
-PORTVERSION=	1.8.3
-PORTREVISION=	2
+PORTVERSION=	1.8.5
 PORTEPOCH=	2
 CATEGORIES=	net-mgmt
 MASTER_SITES=	SF/zabbix/ZABBIX%20Latest%20Stable/${PORTVERSION}
@@ -16,6 +15,8 @@
 MAINTAINER=	ports@christianserving.org
 COMMENT=	Enterprise-class open source distributed monitoring (${PKGNAMESUFFIX:S/^-//})
 
+LICENSE=	GPLv2
+
 CONFLICTS=	${PKGBASE}-1.[0-6]*
 
 .if ${PKGNAMESUFFIX} != "-agent"
@@ -27,12 +28,12 @@
 .if ${ZABBIX_BUILD} != "frontend" # frontend only needs the version/distribution settings
 .if ${ZABBIX_BUILD} != "agent"
 USE_ICONV=	yes
-MAN8=		${PORTNAME}_${ZABBIX_BUILD}.8
+MAN8+=		${PORTNAME}_${ZABBIX_BUILD}.8
 USE_RC_SUBR=	${PORTNAME}_${ZABBIX_BUILD}
 .else
 USE_ICONV=	yes
-MAN1=		${PORTNAME}_get.1 ${PORTNAME}_sender.1
-MAN8=		${PORTNAME}_${ZABBIX_BUILD}d.8
+MAN1+=		${PORTNAME}_get.1 ${PORTNAME}_sender.1
+MAN8+=		${PORTNAME}_${ZABBIX_BUILD}d.8
 USE_RC_SUBR=	${PORTNAME}_${ZABBIX_BUILD}d
 .endif
 
@@ -45,11 +46,11 @@
 MAKE_ARGS+=	ARCH=freebsd
 GNU_CONFIGURE=	yes
 CONFIGURE_ARGS+=	--enable-${ZABBIX_BUILD}
-CONFIGURE_ENV+=	CPPFLAGS="-I${LOCALBASE}/include"
+CONFIGURE_ENV+=	CPPFLAGS="-I${LOCALBASE}/include" LDFLAGS="-L${LOCALBASE}/lib"
 
 .if ${ZABBIX_BUILD} != "agent"
 LIB_DEPENDS=	netsnmp:${PORTSDIR}/net-mgmt/net-snmp \
-		curl:${PORTSDIR}/ftp/curl
+		execinfo:${PORTSDIR}/devel/libexecinfo
 
 SUB_FILES=	pkg-message
 
@@ -87,8 +88,9 @@
 IGNORE=		zabbix requires a database backend
 .endif
 
-.ifdef WITHOUT_CURL
-CONFIGURE_ARGS+=	--without-libcurl
+.ifdef WITH_CURL
+LIB_DEPENDS+=	curl:${PORTSDIR}/ftp/curl
+CONFIGURE_ARGS+=	--with-libcurl
 .endif
 
 .ifndef WITHOUT_LDAP
diff -ruN --exclude=CVS /usr/ports/net-mgmt/zabbix-server/distinfo /root/portwork/zabbix-server/distinfo
--- /usr/ports/net-mgmt/zabbix-server/distinfo	2011-03-20 07:54:14.000000000 -0500
+++ /root/portwork/zabbix-server/distinfo	2011-04-22 08:54:13.000000000 -0500
@@ -1,2 +1,2 @@
-SHA256 (zabbix-1.8.3.tar.gz) = 37262d751c9661a361380bf1480d277d81621d8a49c60a81667cbe258021065c
-SIZE (zabbix-1.8.3.tar.gz) = 4106152
+SHA256 (zabbix-1.8.5.tar.gz) = 885b9f1953c3f6aa1f13760340b3d23d6e01287dc46e6e241c964aec7a38ef32
+SIZE (zabbix-1.8.5.tar.gz) = 4184672
diff -ruN --exclude=CVS /usr/ports/net-mgmt/zabbix-server/pkg-plist /root/portwork/zabbix-server/pkg-plist
--- /usr/ports/net-mgmt/zabbix-server/pkg-plist	2010-08-23 15:15:43.000000000 -0500
+++ /root/portwork/zabbix-server/pkg-plist	2011-04-22 08:54:13.000000000 -0500
@@ -22,10 +22,12 @@
 %%DATADIR%%/%%ZABBIX_BUILD%%/create/data/images/UPS_small.png
 %%DATADIR%%/%%ZABBIX_BUILD%%/create/data/images/Workstation.png
 %%DATADIR%%/%%ZABBIX_BUILD%%/create/data/images/Workstation_small.png
+%%DATADIR%%/%%ZABBIX_BUILD%%/create/data/images_ibm_db2.sql
 %%DATADIR%%/%%ZABBIX_BUILD%%/create/data/images_mysql.sql
 %%DATADIR%%/%%ZABBIX_BUILD%%/create/data/images_oracle.sql
 %%DATADIR%%/%%ZABBIX_BUILD%%/create/data/images_pgsql.sql
 %%DATADIR%%/%%ZABBIX_BUILD%%/create/data/images_sqlite3.sql
+%%DATADIR%%/%%ZABBIX_BUILD%%/create/schema/ibm_db2.sql
 %%DATADIR%%/%%ZABBIX_BUILD%%/create/schema/mysql.sql
 %%DATADIR%%/%%ZABBIX_BUILD%%/create/schema/oracle.sql
 %%DATADIR%%/%%ZABBIX_BUILD%%/create/schema/postgresql.sql
diff -ruN --exclude=CVS /usr/ports/net-mgmt/zabbix-server/pkg-plist.frontend /root/portwork/zabbix-server/pkg-plist.frontend
--- /usr/ports/net-mgmt/zabbix-server/pkg-plist.frontend	2010-08-23 15:15:43.000000000 -0500
+++ /root/portwork/zabbix-server/pkg-plist.frontend	2011-04-22 08:54:13.000000000 -0500
@@ -27,6 +27,7 @@
 %%WWWDIR%%/api/classes/class.cscript.php
 %%WWWDIR%%/api/classes/class.ctemplate.php
 %%WWWDIR%%/api/classes/class.ctrigger.php
+%%WWWDIR%%/api/classes/class.ctriggerexpression.php
 %%WWWDIR%%/api/classes/class.cuser.php
 %%WWWDIR%%/api/classes/class.cusergroup.php
 %%WWWDIR%%/api/classes/class.cusermacro.php
@@ -232,6 +233,7 @@
 %%WWWDIR%%/include/classes/class.ccolorcell.php
 %%WWWDIR%%/include/classes/class.ccombobox.php
 %%WWWDIR%%/include/classes/class.ccomboitem.php
+%%WWWDIR%%/include/classes/class.cconfigfile.php
 %%WWWDIR%%/include/classes/class.cdiv.php
 %%WWWDIR%%/include/classes/class.ceditablecombobox.php
 %%WWWDIR%%/include/classes/class.cfile.php
@@ -249,9 +251,9 @@
 %%WWWDIR%%/include/classes/class.ciframe.php
 %%WWWDIR%%/include/classes/class.cimagetexttable.php
 %%WWWDIR%%/include/classes/class.cimg.php
-%%WWWDIR%%/include/classes/class.cipbox.php
 %%WWWDIR%%/include/classes/class.cjson.php
 %%WWWDIR%%/include/classes/class.cjsscript.php
+%%WWWDIR%%/include/classes/class.clabel.php
 %%WWWDIR%%/include/classes/class.cldap.php
 %%WWWDIR%%/include/classes/class.clink.php
 %%WWWDIR%%/include/classes/class.clist.php
@@ -314,6 +316,7 @@
 %%WWWDIR%%/include/locales/pl_pl.inc.php
 %%WWWDIR%%/include/locales/pt_br.inc.php
 %%WWWDIR%%/include/locales/ru_ru.inc.php
+%%WWWDIR%%/include/locales/sk_sk.inc.php
 %%WWWDIR%%/include/locales/sp_sp.inc.php
 %%WWWDIR%%/include/locales/sv_se.inc.php
 %%WWWDIR%%/include/locales/ua_ua.inc.php
@@ -339,6 +342,7 @@
 %%WWWDIR%%/include/users.inc.php
 %%WWWDIR%%/include/validate.inc.php
 %%WWWDIR%%/include/valuemap.inc.php
+%%WWWDIR%%/include/xmlschemas/screens.rng
 %%WWWDIR%%/index.php
 %%WWWDIR%%/instal.php
 %%WWWDIR%%/items.php
@@ -422,6 +426,8 @@
 %%WWWDIR%%/styles/div.css
 %%WWWDIR%%/styles/form.css
 %%WWWDIR%%/styles/ie.css
+%%WWWDIR%%/styles/ie_css_bb.css
+%%WWWDIR%%/styles/ie_css_ob.css
 %%WWWDIR%%/styles/ie_css_od.css
 %%WWWDIR%%/styles/link.css
 %%WWWDIR%%/styles/p.css
@@ -444,6 +450,7 @@
 @dirrm %%WWWDIR%%/styles
 @dirrm %%WWWDIR%%/js/scriptaculous
 @dirrm %%WWWDIR%%/js
+@dirrm %%WWWDIR%%/include/xmlschemas
 @dirrm %%WWWDIR%%/include/locales
 @dirrm %%WWWDIR%%/include/classes
 @dirrm %%WWWDIR%%/include
--- zabbix-server-1.8.5,2.patch ends here ---
Comment 9 Jim Riggs 2011-04-22 15:53:51 UTC
On Apr 22, 2011, at 9:33 AM, Jim Riggs wrote:

> On Apr 22, 2011, at 9:17 AM, Florian Smeets wrote:
> 
>> it does not build on any of our supported branches:
>> 
>> http://tb.smeets.im/tb/index.php?action=describe_port&id=392
>> 
>> Do you have a system newer than 6.x where you can test your patch?
> 
> I did all of my patching and testing on 8.2.  I only did the submit on 6.
> 
> I do have IPv6 turned off in my tests and in make.conf, so let me try again with IPv6 enabled.  >:-(



Please add the attached patch to files/.  They had a bug reported for this that they have subsequently fixed.
Comment 10 dfilter service freebsd_committer 2011-04-22 16:07:45 UTC
flo         2011-04-22 15:07:36 UTC

  FreeBSD ports repository

  Modified files:
    net-mgmt/zabbix-server Makefile distinfo pkg-plist 
                           pkg-plist.frontend 
  Added files:
    net-mgmt/zabbix-server/files patch-src_libs_zbxcomms_comms.c 
  Log:
  - update to 1.8.5
  - add LICENSE
  
  PR:             ports/156519
  Submitted by:   Jim Riggs <ports@christianserving.org> (maintainer)
  
  Revision  Changes    Path
  1.12      +11 -9     ports/net-mgmt/zabbix-server/Makefile
  1.6       +2 -2      ports/net-mgmt/zabbix-server/distinfo
  1.1       +24 -0     ports/net-mgmt/zabbix-server/files/patch-src_libs_zbxcomms_comms.c (new)
  1.3       +3 -1      ports/net-mgmt/zabbix-server/pkg-plist
  1.5       +9 -2      ports/net-mgmt/zabbix-server/pkg-plist.frontend
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 11 Florian Smeets freebsd_committer 2011-04-22 16:08:31 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 12 Oleksiy Zagorskiy 2011-05-16 18:37:57 UTC
Just for case - problem started when Zabbix developers are performed: https=
://support.zabbix.com/browse/ZBXNEXT-293 and https://support.zabbix.com/bro=
wse/ZBX-2946

I do not understand why in a version 1.3, 2010/02/02 19:05:27 of file Makef=
ile Jim Riggs added a string:=20
CONFIGURE_ENV+=3D CPPFLAGS=3D"-I${LOCALBASE}/include"

Because of that configure script began to find the header "execinfo.h" (aft=
er ZBXNEXT-293 mentioned) but not a library.
Therefore, there were problems.=20

Now, after adding the line:
LDFLAGS=3D"-L${LOCALBASE}/lib"
configure script began to find the library itself.=20
This was the main problem. Was not and no now direct need to add the packag=
e as a dependency, especially for the agent.=20

Even now I do not understand which need in the line:
CONFIGURE_ENV+=3D CPPFLAGS=3D"-I${LOCALBASE}/include"
i mean - with it or without it all components are configured and compiled w=
ithout any problems and work without problems.

Difference in the log of configure script is almost absent.=20

I have long time compile all not from the ports and from sources, checkout =
from the SVN repository. I always have all worked.=20

Now if i compile v1.8.5 from ports, then in the linked libraries i see only=
 one difference - is the libexecinfo.so. Everything else are identical.
This is for the agent and the server (with all !!! possible configure optio=
ns enabled).

Now if the package libexecinfo-1.1_3 installed, the agent compilation proce=
ss finds and links this library, and this fact will not be presented in the=
 installed ports DB, i.e. it will not be listed as a dependency for agent.

Therefore, I propose to move the line:
CONFIGURE_ENV+=3D=09CPPFLAGS=3D"-I${LOCALBASE}/include" LDFLAGS=3D"-L${LOCA=
LBASE}/lib"
a bit lower. See patch.=20

Thus, the agent will not have a hidden such dependency.
I think  libexecinfo-1.1_3 for agent is uselessness.

New compilation (with patch) tested for agent and server. Now the agent has=
 no hidden dependency.
[root@dem /usr/ports/net-mgmt/zabbix-agent/work/zabbix-1.8.5/src/zabbix_age=
nt]# ldd zabbix_agentd
zabbix_agentd:
        libkvm.so.5 =3D> /lib/libkvm.so.5 (0x280ad000)
        libm.so.5 =3D> /lib/libm.so.5 (0x280b6000)
        libdevstat.so.7 =3D> /lib/libdevstat.so.7 (0x280d0000)
        libiconv.so.3 =3D> /usr/local/lib/libiconv.so.3 (0x280d5000)
        libc.so.7 =3D> /lib/libc.so.7 (0x281cb000)




--- Makefile=092011-05-16 20:05:00.000000000 +0300
+++ Makefile.new=092011-05-16 20:06:39.000000000 +0300
@@ -46,9 +46,9 @@
 MAKE_ARGS+=3D=09ARCH=3Dfreebsd
 GNU_CONFIGURE=3D=09yes
 CONFIGURE_ARGS+=3D=09--enable-${ZABBIX_BUILD}
-CONFIGURE_ENV+=3D=09CPPFLAGS=3D"-I${LOCALBASE}/include" LDFLAGS=3D"-L${LOC=
ALBASE}/lib"
=20
 .if ${ZABBIX_BUILD} !=3D "agent"
+CONFIGURE_ENV+=3D=09CPPFLAGS=3D"-I${LOCALBASE}/include" LDFLAGS=3D"-L${LOC=
ALBASE}/lib"
 LIB_DEPENDS=3D=09netsnmp:${PORTSDIR}/net-mgmt/net-snmp \
 =09=09execinfo:${PORTSDIR}/devel/libexecinfo
Comment 13 Alexander Verbod 2011-05-30 16:50:45 UTC
That would be nice to be compatible with FreeBSD ;)

Patch attached.